Skip to main content
GET
/
inbox_embeds
List inbox embeds
curl --request GET \
  --url https://api.kapso.ai/platform/v1/inbox_embeds \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "Support embed",
      "scope_type": "phone_number",
      "scope_id": "1234567890",
      "scope_name": "+1 415 555 1234",
      "assigned_user_id": null,
      "assigned_user_name": null,
      "status": "active",
      "allowed_origins": [
        "https://app.example.com"
      ],
      "default_mode": "system",
      "expires_at": null,
      "last_used_at": null,
      "created_at": "2025-01-15T10:00:00Z",
      "updated_at": "2025-01-15T10:00:00Z"
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 20,
    "total_pages": 1,
    "total_count": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.kapso.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

status
enum<string>
Available options:
active,
revoked
scope_type
enum<string>
Available options:
project,
customer,
phone_number
scope_id
string

Customer UUID for customer, WhatsApp phone_number_id for phone_number

assigned_user_id
string<uuid>
page
integer
default:1
Required range: x >= 1
per_page
integer
default:20
Required range: x >= 1

Response

Success

data
object[]
required
meta
object
required